#if NOESIS
extern alias NS;
using NS;
using NS.Noesis;
using NS.NoesisApp;
using System;
#else
using System.Windows;
#endif

namespace NoesisTestApp
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
#if NOESIS
        protected override XamlProvider GetXamlProvider()
        {
            EmbeddedXaml[] xamls =
            {
                new EmbeddedXaml { filename = "App.xaml", resource = "App" },
                new EmbeddedXaml { filename= "MainWindow.xaml", resource = "MainWindow" }
            };
            return new EmbeddedXamlProvider(xamls, Properties.Resources.ResourceManager);
        }

        [STAThread]
        static void Main()
        {
            App app = new App();
            app.Uri = "App.xaml";
            app.Run();
        }
#endif
    }
}
